﻿using KelownaSoftware.Domain.Common.Exceptions;

namespace KelownaSoftware.Application.Common.Exceptions
{
    public class InsufficientPermissionException : BaseException
    {
        public string UserIdPerformingAction { get; set; }
        public string Permission { get; set; }
        public string UserIdApplyTo { get; set; }
        public InsufficientPermissionException(string userIdPerformingAction, string permission, string userIdApplyTo)
            : base($"{userIdPerformingAction} does not have sufficient permissions to add {permission} to {userIdApplyTo}")
        {
            UserIdPerformingAction = userIdPerformingAction;
            Permission = permission;
            UserIdApplyTo = userIdApplyTo;
        }


    }
}
