﻿using KelownaSoftware.Domain.Common.Entities;
using KelownaSoftware.Domain.Common.ValueObjects.ActionRecords;

namespace KelownaSoftware.Application.Common.ViewModels
{

    public class BaseAuditableResponse : BaseEntityResponse
    {
        public ActionRecord CreatedBy { get; set; }
        public ActionRecord LastModifiedBy { get; set; }
        public ActionRecord DeletedBy { get; set; }
        public bool Deleted { get; set; }

        public BaseAuditableResponse(AuditableEntity auditableEntity) : base(auditableEntity)
        {
            CreatedBy = auditableEntity.CreatedBy;
            LastModifiedBy = auditableEntity.LastModifiedBy;
            DeletedBy = auditableEntity.DeletedBy;
            Deleted = auditableEntity.Deleted;
        }
    }
}
