﻿using KelownaSoftware.Domain.Common.Validation;

namespace KelownaSoftware.Application.Common.ViewModels
{
    public class BaseResponse
    {
        public BaseResponse()
        {
            _validationErrors = new List<ValidationError>();
        }

        public BaseResponse(string error, IList<ValidationError> validationErrors, bool success = false)
        {
            Success = success;
            Error = error;
            _validationErrors = validationErrors;
        }

        public bool Success { get; set; }
        public string Error { get; set; }
        private IList<ValidationError> _validationErrors;
        public IEnumerable<ValidationError> ValidationErrors { get => _validationErrors; }

        public void AddValidationError(ValidationError validationError)
        {
            _validationErrors.Add(validationError);
        }
    }
}
