﻿using System;

namespace KelownaSoftware.Application.AggregateRoots.Authentication.SignIn
{
    public class SignInResult
    {
        public string Error { get; set; }
        public string Token { get; }
        public string RefreshToken { get; }
        public bool ForcePasswordReset { get; set; }
        public string PasswordResetToken { get; set; }
        public string EncodedEmail { get; set; }

        public SignInResult(string error)
        {
            Error = error;
        }

        public SignInResult(string token, string refreshToken)
        {
            Token = token ?? string.Empty;
            RefreshToken = refreshToken ?? string.Empty;
        }

        public SignInResult(string token, string refreshToken, string passwordResetToken, string encodedEmail) : this(token, refreshToken)
        {
            ForcePasswordReset = true;
            PasswordResetToken = passwordResetToken;
            EncodedEmail = encodedEmail;
        }
    }
}
