﻿using System.Threading;
using System.Threading.Tasks;

namespace KelownaSoftware.Application.Interfaces.Authentication
{
    public interface IRefreshTokenService
    {
        string GenerateToken(int size = 32);

        Task RemoveRefreshTokensAsync(string applicationUserId, CancellationToken cancellationToken);
        Task AddRefreshTokenAsync(string token, string applicationUserId, string remoteIpAddress, CancellationToken cancellationToken);
        Task RemoveRefreshTokenAsync(string refreshToken, CancellationToken cancellationToken);

        Task<bool> HasValidRefreshToken(string userId, string refreshToken);
    }
}
