﻿using KelownaSoftware.Domain.AggregateRoots.Authentication;
using KelownaSoftware.Domain.AggregateRoots.Users;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;

namespace KelownaSoftware.Application.Interfaces
{
    public interface IKSDbContext
    {
        DbSet<User> Users { get; set; }
        DbSet<RefreshToken> RefreshTokens { get; set; }

        public DatabaseFacade Database { get; }

        Task<int> SaveChangesAsync(CancellationToken cancellationToken);

        public Task SeedAsync(CancellationToken cancellationToken);

    }
}
