import { HttpClientModule } from '@angular/common/http';
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { RouterModule } from '@angular/router';
import { AccountModule } from '@presentation/account/account.module';
import { PagesModule } from '@presentation/pages/pages.module';
import { SharedModule } from '@presentation/shared/shared.module';
import { AppRoutingModule } from 'src/app/app-routing.module';

import { AppComponent } from './app.component';
import { TopNavComponent } from './presentation/layout/top-nav/top-nav.component';

@NgModule({
  declarations: [
    AppComponent,
    TopNavComponent
  ],
  imports: [
    BrowserModule,
    HttpClientModule,
    RouterModule,
    //RouterModule.forRoot([
    //  { path: '', redirectTo: '/dashboard', pathMatch: 'full' },
    //]),

    AppRoutingModule,

    SharedModule,
    PagesModule,
    AccountModule,
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
