import { Injectable } from '@angular/core';
import { UserPermissions } from '@domain/user-permissions';
import { CurrentUserService } from '@infrastructure/services/users/current-user.service';
import { tap } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class PermissionsService {

  constructor(
    private currentUserService: CurrentUserService) { }

  public hasPermission(claimTypes: UserPermissions[]) {
    return this.currentUserService.currentUser.pipe(tap(result => {
      if (result.id) {
        const canEditAlLString = UserPermissions[UserPermissions.CanEditAll].toString();
        if (result.permissions.includes(canEditAlLString)) {
          return true;
        }
        else {
          let hasClaimType = false;

          claimTypes.forEach((claimType) => {
            const claimTypeString = UserPermissions[claimType];
            const claimResult = result.permissions.includes(claimTypeString);

            if (claimResult === true) {
              hasClaimType = true;
              return;
            }
          });

          return hasClaimType;
        }
      }

      return false;
    }));
  }
}
