import { Component, OnDestroy } from '@angular/core';
import { PageTitleService } from '@infrastructure/services';
import { Subject, takeUntil } from 'rxjs';

@Component({
  selector: 'app-pages',
  templateUrl: './pages.component.html',
  styleUrls: ['./pages.component.css']
})
export class PagesComponent implements OnDestroy {

  protected pageTitle: string = '';
  public destroy$: Subject<boolean> = new Subject();


  constructor(pageTitleService: PageTitleService) {
    pageTitleService.getPageTitle()
      .pipe(takeUntil(this.destroy$))
      .subscribe(async pageTitle => {
        this.pageTitle = await pageTitle;
      });
  }

  ngOnDestroy() {
    this.destroy$.next(true);
    this.destroy$.unsubscribe();
  }

}
