import { Component, ContentChild, Input, OnInit, TemplateRef } from '@angular/core';
import { ActionButtonConfig } from './action-button.config';
import { PreloaderComponent } from '@presentation/shared/controls/preloader/preloader.component';
import { CommonModule } from '@angular/common';

@Component({
  selector: 'action-button',
  standalone: true,
  imports: [PreloaderComponent, CommonModule],
  templateUrl: './action-button.component.html',
  styleUrls: ['./action-button.component.css']
})
export class ActionButtonComponent implements OnInit {
  @Input() config!: ActionButtonConfig;
  @Input() loading: boolean = false;
  @Input() disabled: boolean = false;
  @ContentChild("btnTemplate", { static: false }) btnTemplateRef!: TemplateRef<any>;

  constructor() {
  }
  

  ngOnInit(): void {
  }
}
