import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { RouterModule } from '@angular/router'; // Import RouterModule
import { ActionButtonComponent } from '@presentation/shared/controls/action-button/action-button.component';
import { LoadingComponent } from '@presentation/shared/controls/loading/loading.component';
import { PreloaderComponent } from '@presentation/shared/controls/preloader/preloader.component';
import { ToastrModule } from 'ngx-toastr';
import { ButtonsModule } from '@progress/kendo-angular-buttons';
import { InputsModule } from '@progress/kendo-angular-inputs';
import { FloatingLabelModule, LabelModule } from '@progress/kendo-angular-label';
import { LayoutModule } from '@progress/kendo-angular-layout';
import { DropDownsModule } from '@progress/kendo-angular-dropdowns';


@NgModule({
  declarations: [],
  imports: [
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    ToastrModule.forRoot(),

    ActionButtonComponent,
    LoadingComponent,
    PreloaderComponent,
  ],
  exports: [
    CommonModule,
    FormsModule,
    ReactiveFormsModule,

    //kendo modules
    InputsModule,
    LayoutModule,
    FloatingLabelModule,
    LabelModule,
    ButtonsModule,
    DropDownsModule,

    //components
    PreloaderComponent,
    LoadingComponent,
    ActionButtonComponent,
  ]
})
export class SharedModule { }
