﻿using KelownaSoftware.Domain.Common.ValueObjects.ActionRecords;

namespace KelownaSoftware.Domain.Common.Entities
{
    public abstract class AuditableEntity : BaseEntity
    {
        public ActionRecord CreatedBy { get; set; }

        public ActionRecord LastModifiedBy { get; set; }

        public ActionRecord DeletedBy { get; set; }

        public virtual bool Deleted { get; set; }

        public AuditableEntity()
        {
            Deleted = false;
            CreatedBy = new ActionRecord();
            LastModifiedBy = new ActionRecord();
            DeletedBy = new ActionRecord();
        }

        public virtual void Delete()
        {
            Deleted = true;
        }
    }
}
