﻿using KelownaSoftware.Domain.Common.Enums;

namespace KelownaSoftware.Domain.Common.Entities
{
    public class BaseCommonModel
    {
        public EntityType Type { get; set; }
        public string Id { get; set; }

        public BaseCommonModel(BaseEntity entityInstance)
        {
            if (Enum.TryParse<EntityType>(entityInstance.GetType().Name, out var type) == false)
            {
                throw new ArgumentOutOfRangeException(entityInstance.GetType().Name);
            }

            Type = type;
            Id = entityInstance.Id;
        }
    }
}
