﻿namespace KelownaSoftware.Domain.Common.Entities
{
    public class BaseEntity
    {
        BaseEntityValidator _validator;

        private string _id;
        public string Id
        {
            get => _id;
            set
            {
                var temp = value?.Trim();
                _validator.ValidatePropertyValueAndThrow(x => x.Id, temp);
                _id = temp;
            }
        }

        public BaseEntity()
        {
            _validator = new BaseEntityValidator();

            Id = Guid.NewGuid().ToString();
        }
    }
}
