﻿using KelownaSoftware.Domain.Common.Constants;
using KelownaSoftware.Platform.FluentPropertyValidator;

namespace KelownaSoftware.Domain.Common.Entities
{
    public class BaseEntityValidator : BaseEntityValidatorBase<BaseEntity>
    {

    }

    public abstract class BaseEntityValidatorBase<T> : FluentPropertyValidator<T> where T : BaseEntity
    {
        public BaseEntityValidatorBase()
        {
            RuleFor(x => x.Id)
                .NotEmpty()
                .MaximumLength(DomainCommonConstants.GUIDID_MAXLENGTH);
        }
    }
}
