﻿using KelownaSoftware.Domain.Common.Constants;
using KelownaSoftware.Platform.FluentPropertyValidator;

namespace KelownaSoftware.Domain.Common.Entities.Countries
{
    public class CountryValidator : FluentPropertyValidator<CountryValueObject>
    {
        public CountryValidator()
        {
            RuleFor(x => x.Name)
                .NotEmpty()
                .MaximumLength(CountryConstants.NAME_MAXLENGTH);

            RuleFor(x => x.Abbreviation)
                .NotEmpty()
                .MaximumLength(CountryConstants.ABBREVIATION_MAXLENGTH);

            RuleFor(x => x.Id)
                .NotEmpty()
                .MaximumLength(DomainCommonConstants.GUIDID_MAXLENGTH);
        }
    }
}
