﻿using KelownaSoftware.Domain.Common.ValueObjects.ActionRecords;
using System;

namespace KelownaSoftware.Domain.Common.Entities
{
    public class LockableEntity : AuditableEntity
    {
        public bool Locked { get; private set; }
        public ActionRecord LockedBy { get; private set; }
        public ActionRecord UnlockedBy { get; private set; }

        public LockableEntity() : base()
        {
            LockedBy = new ActionRecord();
            UnlockedBy = new ActionRecord();
        }

        public ActionRecord Lock(string userId, string usersName)
        {
            Locked = true;
            LockedBy = new ActionRecord(userId, usersName, DateTimeOffset.Now);
            return LockedBy;
        }

        public ActionRecord Unlock(string userId, string usersName)
        {
            Locked = false;
            UnlockedBy = new ActionRecord(userId, usersName, DateTimeOffset.Now);
            return UnlockedBy;
        }
    }
}
