﻿using KelownaSoftware.Domain.Common.Constants;
using KelownaSoftware.Platform.FluentPropertyValidator;

namespace KelownaSoftware.Domain.Common.Entities.Regions
{
    public class RegionValueObjectValidator : FluentPropertyValidator<RegionValueObject>
    {
        public RegionValueObjectValidator()
        {
            RuleFor(x => x.Name)
                .NotEmpty()
                .MaximumLength(RegionConstants.NAME_MAXLENGTH);

            RuleFor(x => x.Abbreviation)
                .NotEmpty()
                .MaximumLength(RegionConstants.ABBREVIATION_MAXLENGTH);

            RuleFor(x => x.Id)
                .NotEmpty()
                .MaximumLength(DomainCommonConstants.GUIDID_MAXLENGTH);

        }
    }
}
