﻿using System;
using System.Collections.Generic;

namespace KelownaSoftware.Domain.Common.ValueObjects.ActionRecords
{
    public class ActionRecord : ValueObject
    {
        public string Id { get; private set; }
        public string Name { get; private set; }
        public DateTimeOffset? Date { get; private set; }

        public ActionRecord()
        {

        }

        public ActionRecord(string id, string name)
        {
            Id = id;
            Name = name;
            Date = DateTimeOffset.Now;
        }

        public ActionRecord(string id, string name, DateTimeOffset? date)
        {
            Id = id;
            Name = name;
            Date = date;
        }

        [Obsolete("For Migrations only. Do not use in production")]
        public void SetDate(DateTimeOffset date)
        {
            Date = date;
        }

        protected override IEnumerable<object> GetEqualityComponents()
        {
            yield return Id;
            yield return Name;
            yield return Date;
        }
    }
}
