﻿using KelownaSoftware.Platform.FluentPropertyValidator;

namespace KelownaSoftware.Domain.Common.ValueObjects.EmailAddress
{
    public class EmailAddressValidator : FluentPropertyValidator<EmailAddress>
    {
        public EmailAddressValidator()
        {
            RuleFor(x => x.Domain)
                .NotEmpty()
                .MaximumLength(EmailAddressConstants.DOMAIN_MAXLENGTH);

            RuleFor(x => x.Local)
                .NotEmpty()
                .MaximumLength(EmailAddressConstants.LOCAL_MAXLENGTH);
        }
    }
}