﻿using KelownaSoftware.Domain.AggregateRoots.Users;
using KelownaSoftware.Domain.Common.Entities;

namespace KelownaSoftware.Domain.AggregateRoots.Authentication
{
    public class RefreshToken : AuditableEntity
    {
        public string Token { get; private set; }
        public DateTimeOffset Expires { get; private set; }
        public string ApplicationUserId { get; private set; }
        public bool Active => DateTimeOffset.UtcNow <= Expires;
        public string RemoteIpAddress { get; private set; }

        public virtual User ApplicationUser { get; set; }

        public RefreshToken(string token, DateTimeOffset expires, string applicationUserId, string remoteIpAddress)
        {
            Token = token;
            Expires = expires;
            ApplicationUserId = applicationUserId;
            RemoteIpAddress = remoteIpAddress;
        }
    }
}
