﻿using KelownaSoftware.Application.Common.Interfaces;
using KelownaSoftware.Infrastructure.Common.Services;
using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Logging;

namespace KelownaSoftware.Infrastructure.Common
{
    public static class DependencyInjection
    {
        public static IServiceCollection AddInfrastructureCommon(this IServiceCollection services)
        {
            services.AddSingleton(sp => sp.GetRequiredService<ILoggerFactory>().CreateLogger("DefaultLogger"));
            services.AddScoped<IEmailService, SendGridEmailService>();
            services.AddScoped<IUserContext, UserContext>();

            return services;
        }
    }
}
