﻿using KelownaSoftware.Application.Interfaces.Authentication;
using KelownaSoftware.Domain.AggregateRoots.Users;
using Microsoft.AspNetCore.Identity;

namespace KelownaSoftware.Infrastructure.Services
{
    public class AuthenticationService : IAuthenticationService
    {
        private readonly SignInManager<User> _signInManager;

        public AuthenticationService(SignInManager<User> signInManager)
        {
            _signInManager = signInManager;
        }

        public async Task<SignInResult> CheckUsernamePasswordAreCorrectAsync(string username, string password)
        {
            var result = await _signInManager.PasswordSignInAsync(username, password, false, false).ConfigureAwait(false);

            return result;
        }
    }
}
