﻿using KelownaSoftware.Application.Common.Exceptions;
using KelownaSoftware.Application.Interfaces.Authentication.Jwt;
using Microsoft.Extensions.Configuration;

namespace KelownaSoftware.Infrastructure.Services.Authorization
{
    public class JwtConfigurationService : IJwtConfigurationService
    {
        IConfiguration _config;

        public JwtConfigurationService(IConfiguration config)
        {
            _config = config;
        }

        public string GetIssuer()
        {
            try
            {
                return _config["Jwt:Issuer"];

            }
            catch
            {
                throw new ConfigurationNotFoundException("Key/Value for JWT:Issuer not found");
            }
        }

        public string GetPrivateKey()
        {
            try
            {
                return _config["Jwt:PrivateKey"];

            }
            catch
            {
                throw new ConfigurationNotFoundException("Key/Value for JWT:PrivateKey not found");
            }
        }
    }
}
