﻿using KelownaSoftware.Application.Common.Interfaces;
using KelownaSoftware.Application.Interfaces;
using System.Security.Claims;

namespace KelownaSoftware.Infrastructure.Services
{
    public class CurrentUserService : ICurrentUserService
    {
        public string UserId { get; init; }
        public string Email { get; init; }

        public CurrentUserService(IUserContext userContext)
        {
            if (userContext?.User?.Claims != null)
            {
                foreach (var claim in userContext.User.Claims)
                {
                    if (claim.Type == ClaimTypes.NameIdentifier)
                    {
                        UserId = claim.Value;
                    }
                    else if (claim.Type == ClaimTypes.Email)
                    {
                        Email = claim.Value;
                    }
                }
            }
        }
    }
}
