﻿using KelownaSoftware.Application.Common.Interfaces;
using Microsoft.AspNetCore.Http;
using System.Security.Claims;

namespace KelownaSoftware.Infrastructure
{
    public class UserContext : IUserContext
    {
        public UserContext(IHttpContextAccessor httpContextAccessor)
        {
            User = httpContextAccessor?.HttpContext?.User;

            if (User?.Claims != null)
            {
                foreach (var claim in User.Claims)
                {
                    if (claim.Type == ClaimTypes.NameIdentifier)
                    {
                        UserId = claim.Value;
                    }
                }
            }
        }
        public ClaimsPrincipal User { get; }
        public string UserId { get; }
    }
}
