﻿using KelownaSoftware.Application.Interfaces;
using KelownaSoftware.Domain.AggregateRoots.Authentication;
using KelownaSoftware.Domain.AggregateRoots.Users;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Identity.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore;
using System.Security.Claims;

namespace KelownaSoftware.Persistence
{
    public class KSDbContext : IdentityDbContext<User>, IKSDbContext
    {
        public DbSet<User> Users { get; set; }
        public DbSet<RefreshToken> RefreshTokens { get; set; }


        public KSDbContext(
            DbContextOptions<KSDbContext> options)
            : base(options)
        {
            
        }

        public async Task SeedAsync(CancellationToken cancellationToken)
        {
            //seed data here for the database

            await this.SaveChangesAsync(cancellationToken);
            
        }
    }
}
