﻿using KelownaSoftware.Application.AggregateRoots.Authentication.RefreshToken;
using KelownaSoftware.Server.Areas.Controllers;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using System.Threading.Tasks;

namespace KelownaSoftware.Server.Areas.Controllers.Account
{
    [ApiController]
    [Area("Account")]
    [Route("api/[area]/[controller]")]
    public class RefreshTokenController : BaseController
    {

        [AllowAnonymous]
        [HttpPost]
        public async Task<IActionResult> RefreshToken(RefreshTokenCommand command)
        {
            var result = await Mediator.Send(command);

            if (result != null)
            {
                return Ok(result);
            }

            return Unauthorized();

        }
    }


}