﻿using KelownaSoftware.Application.AggregateRoots.Authentication.SignIn;
using KelownaSoftware.Domain.AggregateRoots.Users;
using KelownaSoftware.Server.Areas.Controllers;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Identity;
using Microsoft.AspNetCore.Mvc;

namespace WebUIAngular.Areas.Controllers.Account
{
    [ApiController]
    [Area("Account")]
    [Route("api/[area]/[controller]")]
    public class SignInController : BaseController
    {
        private readonly UserManager<User> _userManager;
        private readonly SignInManager<User> _signInManager;
        private readonly IConfiguration _config;

        public SignInController(UserManager<User> userManager, SignInManager<User> signInManager, IConfiguration config)
        {
            _userManager = userManager;
            _signInManager = signInManager;
            _config = config;
        }


        [HttpPost]
        [AllowAnonymous]
        public async Task<IActionResult> Login(SignInCommand command)
        {
            _ = command ?? throw new ArgumentNullException(nameof(command));

            command.RemoteIP = Request.HttpContext.Connection.RemoteIpAddress?.ToString();

            var result = await Mediator.Send(command);

            if (result != null)
            {
                return Ok(result);
            }

            return Unauthorized();

        }
    }
}